# TdApi.TextEntity (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: TextEntity

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TextEntity

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TextEntity

Enclosing class:
  TdApi

public static final class TdApi.TextEntity extends TdApi.Object
Represents a part of the text that needs to be formatted in some unusual way.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`length`
Length of the entity, in UTF-16 code units.
`int`
`offset`
Offset of the entity, in UTF-16 code units.
`TdApi.TextEntityType`
`type`
Type of the entity.

## Constructor Summary

Constructors
Constructor
Description
`TextEntity()`
Represents a part of the text that needs to be formatted in some unusual way.
`TextEntity(int offset, int length, TdApi.TextEntityType type)`
Represents a part of the text that needs to be formatted in some unusual way.
`TextEntity(DataInput input)`
Represents a part of the text that needs to be formatted in some unusual way.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### offset

public int offset
Offset of the entity, in UTF-16 code units.

### length

public int length
Length of the entity, in UTF-16 code units.

### type

public TdApi.TextEntityType type
Type of the entity.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TextEntity

public TextEntity()
Represents a part of the text that needs to be formatted in some unusual way.

### TextEntity

public TextEntity(int offset, int length, TdApi.TextEntityType type)
Represents a part of the text that needs to be formatted in some unusual way.

Parameters:
  `offset` - int Offset of the entity, in UTF-16 code units.
  `length` - int Length of the entity, in UTF-16 code units.
  `type` - TextEntityType Type of the entity.

### TextEntity

public TextEntity(DataInput input) throws IOException
Represents a part of the text that needs to be formatted in some unusual way.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`